Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.flow
Class Schedule

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.dsol.formalisms.flow.Station
              nl.tudelft.simulation.dsol.formalisms.flow.Generator
                  nl.tudelft.simulation.dsol.formalisms.flow.Schedule

All Implemented Interfaces:
  nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable, StationInterface

public class Schedule
extends Generator

The schedule is an extension to the generate which accepts a schedule of interarrival times. Instead of generating with a continuous interarrival distribution we submit a map consiting of keys (execution times). Each key indicates the starting time of a new interval, while the value in the map is the continuous distribution function to use to draw the interarrival times. If no values have to be generated in a certain interval, use a large interarrival time value in the distribution function, or use DistConstant(stream, 1E20) to indicate that the next drawing will take place after the end of the interval.
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs , Alexander Verbraeck
See Also:
  Serialized Form

Field Summary

Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Generator
`constructor, constructorArguments, CREATE_EVENT, interval, nextEvent, startTime`

Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station
`destination, simulator`

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface
`RECEIVE_EVENT, RELEASE_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`Schedule(DEVSSimulatorInterface simulator, java.lang.Class myClass, java.lang.Object[] constructorArguments)` constructs a new Schedule

Method Summary
`void` | `changeIntervalTime()` changes the intervalTime of the schedule
`java.util.SortedMap` | `getSchedule()` returns the schedule
`void` | `setSchedule(java.util.SortedMap map)` sets the schedule

Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Generator
`generate, generate, getBatchSize, getInterval, getMaxNumber, getStartTime, receiveObject, setBatchSize, setInterval, setMaxNumber, setStartTime`

Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station
`getDestination, releaseObject, setDestination`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Constructor Detail

### Schedule

    public Schedule(DEVSSimulatorInterface simulator,
                    java.lang.Class myClass,
                    java.lang.Object[] constructorArguments)
             throws SimRuntimeException

  constructs a new Schedule

Parameters:
  `simulator` - is the on which the construction of the objects must be scheduled.
  `myClass` - is the class of which entities are created
  `constructorArguments` - are the parameters for the constructor of myClass. of arguments. `constructorArgument[n]=new Integer(12)` may have constructorArgumentClasses[n]=int.class;
Throws:
  `SimRuntimeException` - on constructor invokation.

Method Detail

### getSchedule

    public java.util.SortedMap getSchedule()

  returns the schedule

  Returns:
    SortedMap the schedule

### setSchedule

    public void setSchedule(java.util.SortedMap map)

  sets the schedule

  Parameters:
    `map` - is the new map

### changeIntervalTime

    public void changeIntervalTime()

  changes the intervalTime of the schedule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.